# Generated from rubytree-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubytree

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: A generic tree data structure
License: BSD
URL: http://rubytree.anupamsg.me
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(rtagstask)
# BuildRequires: rubygem(rtagstask) < 1
# BuildRequires: rubygem(rspec) >= 3.7
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
RubyTree is a pure Ruby implementation of the generic tree data structure.
It
provides a node-based model to store named nodes in the tree, and provides
simple APIs to access, modify and traverse the structure.
The implementation is node-centric, where individual nodes in the tree are the
primary structural elements. All common tree-traversal methods (pre-order,
post-order, and breadth-first) are supported.
The library mixes in the Enumerable and Comparable modules to allow access to
the tree as a standard collection (iteration, comparison, etc.).
A Binary tree is also provided, which provides the in-order traversal in
addition to the other methods.
RubyTree supports importing from, and exporting to JSON, and also supports the
Ruby's standard object marshaling.
This is a BSD licensed open source project, and is hosted at
http://github.com/evolve75/RubyTree, and is available as a standard gem from
http://rubygems.org/gems/rubytree.
The home page for RubyTree is at http://rubytree.anupamsg.me.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gemtest
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/TODO.org
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/API-CHANGES.rdoc
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/History.rdoc
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/spec
%{gem_instdir}/test

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.0-1
- Initial package
